# Preview
![Preview](https://cdn.discordapp.com/attachments/1054780457151103037/1054785625347338240/mpv-shot0014.jpg)

# Skills

| Icon | Name | Description |
| ------------- | ----------- | ------------------------------------ |
| ![][popoPortrait] | Mr. Popo | Skills |
| ![][passive] | Passive: Energy Absorption | Absorb a nearby projectile every 1s (*Level) and gain +5 Ki. |
| ![][primary] | Primary: Fierce Fist | Heavy hitting strikes for 230% damage. Successful hits grant +10 Ki. |
| ![][secondary] | Secondary [Switch]: Dash One-Handed Kamehameha | Evade backwards twice then charge up a powerful single-handed Kamehameha for 90% damage. |
| ![][secondaryAlt] | Secondary [Switch]: Ki Blast | Quick, homing energy ball for 120% damage. |
| ![][utility] | Utility: Maximum Charge | Regenerate 25 Ki per second. |
| ![][special] | Special: Kamehameha | Charge up a powerful single-handed Kamehameha for 120% damage. |

| Icon | Name | Description |
| ------------- | ----------- | ------------------------------------ |
| ![][popo2Portrait] | Mr. Popo (2nd Form) | New Skills |
| ![][stat] | Stat Boost | +10% All stats |
| ![][secondary] | Secondary [Switch]: Dash Dual Kamehameha | Evade backwards twice then charge up two powerful single-handed Kamehameha for 60% damage each. |
| ![][special] | Special: Kamehameha | Charge up a powerful Kamehameha for 120%-360% damage. |

| Icon | Name | Description |
| ------------- | ----------- | ------------------------------------ |
| ![][swoloPortrait] | Mr. Swolo | New Skills |
| ![][stat] | Stat Boost | +20% All stats |
| ![][secondary] | Secondary [Switch]: Final Dual Kamehameha | Charge up two powerful single-handed Kamehameha for 80% damage each. |
| ![][special] | Special: 3X Kamehameha | Charge a powerful Kamehameha for 150%-450% damage. |

| Icon | Name | Description |
| ------------- | ----------- | ------------------------------------ |
| ![][swoloSSJPortrait] | Mr. Swolo (SSJ) | +40% All stats |
| ![][swoloSSJ2Portrait] | Mr. Swolo (SSJ2) | +60% All stats |
| ![][swoloSSJ3Portrait] | Mr. Swolo (SSJ3) | +80% All stats |
| ![][special] | Special: 10X Kamehameha | Charge a powerful Kamehameha for 150%-1500% damage. |

| Icon | Name | Description |
| ------------- | ----------- | ------------------------------------ |
| ![][swoloSSBPortrait] | Mr. Swolo (SSB) | New Skills |
| ![][stat] | Stat Boost | +100% All stats |
| ![][special] | Secondary [Switch]: 100X Beast Kamehameha | Quickly charge a powerful Kamehameha for 300%-1500% damage. |
| ![][specialBeast] | Secondary [Switch]: Ray Blast | Instantly shock an enemy for 150% damage. |
| ![][specialAltBeast] | Special: Beast Genkidama | Charge a extremely powerful sphere of pure life energy by consuming nearby life energy for 250% damage, then release it. It explodes on collision, dealing all the damage it gathered at once in a large radius. |

[stat]: https://cdn.discordapp.com/attachments/749076478146117733/1055248227055697980/Status_Weak.png
[passive]: https://cdn.discordapp.com/attachments/749076478146117733/1055236693462110309/passive.png
[primary]: https://cdn.discordapp.com/attachments/749076478146117733/1055236692124123197/m1.png
[secondary]: https://cdn.discordapp.com/attachments/749076478146117733/1055236692543557716/m2.png
[secondaryAlt]: https://cdn.discordapp.com/attachments/749076478146117733/1055236693042675742/m2alt.png
[utility]: https://cdn.discordapp.com/attachments/749076478146117733/1055236694779101276/utility.png
[special]: https://cdn.discordapp.com/attachments/749076478146117733/1055236694368080023/special.png
[specialBeast]: https://cdn.discordapp.com/attachments/749076478146117733/1055236693906702366/ray.png
[specialAltBeast]: https://media.discordapp.net/attachments/749076478146117733/1071501487764672652/genkidama.png

[popoPortrait]: https://cdn.discordapp.com/attachments/749076478146117733/1055236746134179900/popo.png
[popo2Portrait]: https://cdn.discordapp.com/attachments/749076478146117733/1055236746549411980/popo2.png
[swoloPortrait]: https://cdn.discordapp.com/attachments/749076478146117733/1055236746922709003/swolo.png
[swoloSSJPortrait]: https://cdn.discordapp.com/attachments/749076478146117733/1055236744661958776/swoloSSJ.png
[swoloSSJ2Portrait]: https://cdn.discordapp.com/attachments/749076478146117733/1055236745039462400/swoloSSJ2.png
[swoloSSJ3Portrait]: https://cdn.discordapp.com/attachments/749076478146117733/1055236745458897076/swoloSSJ3.png
[swoloSSBPortrait]: https://cdn.discordapp.com/attachments/749076478146117733/1055236745798631504/swoloSSJB.png

- How flight works:
  - Hold jump to activate flight. You can hover (run) for no ki cost, but you can only Sprint at the cost of Ki. Sprinting gives you bonus speed on top of default sprinting bonus.
  - Press jump again to disable flight.
  
- Transformation system and features:
  - Transformations are permanent. Meaning you work towards the next transformation throughout the run.
  - There is a new Powerup bar, that is displayed on top of the Ki bar. It fills up with actions, which are: Dealing damage, killing enemies + bonus for Bosses/Elites and a bonus every 100 enemies killed, spending Ki and getting items + more powerup with higher tiers. When this bar fills up, your utility skill is overriden by a powerup skill. Activating it, instantly achieves your next transformation.
  - The multipliers for each action gain is configurable, and they're separate for each transformation.
  - All transformations stat multipliers are configurable, and there is also a config for enabling each one as a separate selectable survivor.
  
# Commission

Wanna commission your own Dragon Ball survivor? DM me:
- Discord Contact: Dragonyck#4653

# Installation
R2modman is recommended. 

Manual:

1 - Download and install BepInExPack and R2API 

2 - Extract the "Popo" dll to your plugins folder

3 - Have fun!

# Credits
The Beyonders - Base Mr. Swolo model, I edited to my needs

Gamerchief - Base beast hair model, I edited to my needs

Dragonyck - Mod author.

Rob - Character templates.

KEB - IDRS Helper.

Violet - Big brain.

Everyone involved with the cores and api's that made modding possible.

All the peeps with bug reports and stuff.

# Changelog
`1.0.2`
- Updated to latest DBZUtils version.
- Beams now can be aimed while they're still charging.
- Updated Beast Genkidama skill icon.

`1.0.1`
- Updated to latest DBZUtils version.
- Added ragdoll.

`1.0.0` 
- Release
